Index: trunk/ProductionFOAM/compute-eg-gpo.rspec
===================================================================
--- trunk/ProductionFOAM/compute-eg-gpo.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-eg-gpo.rspec	(revision 2275)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="VM" component_manager_id="urn:publicid:IDN+bbnvmsite+authority+cm" >
+	<services>
+	<execute shell="sh" command="hostname gpo-eg"/>
+	</services>
+    <interface client_id="VM:if0">
+   <ip address="10.42.11.198" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <interface_ref client_id="VM:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-clemson.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-clemson.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-clemson.rspec	(revision 2275)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="clemson-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="clemson-ig:if0">
+      <ip address="10.42.11.54" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="clemson-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-gatech.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-gatech.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-gatech.rspec	(revision 2275)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gatech-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gatech-ig:if0">
+      <ip address="10.42.11.57" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gatech-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-gpo.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-gpo.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-gpo.rspec	(revision 2275)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.43" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="gpo-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig2:if0">
+      <ip address="10.42.11.42" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="gpo-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-nw.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-nw.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-nw.rspec	(revision 2275)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="nw-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="nw-ig:if0">
+      <ip address="10.42.11.53" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="nw-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-utah.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-utah.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-utah.rspec	(revision 2275)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig:if0">
+      <ip address="10.42.11.33" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="utah-ig2" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-ig2:if0">
+      <ip address="10.42.11.32" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utah-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+  <link client_id="openflow-mesoscale-1">
+    <interface_ref client_id="utah-ig2:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-ig-utahddc.rspec
===================================================================
--- trunk/ProductionFOAM/compute-ig-utahddc.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-ig-utahddc.rspec	(revision 2275)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utahddc-ig" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="utahddc-ig:if0">
+      <ip address="10.42.11.73" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utahddc-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/ProductionFOAM/compute-pg-utah.rspec
===================================================================
--- trunk/ProductionFOAM/compute-pg-utah.rspec	(revision 2275)
+++ trunk/ProductionFOAM/compute-pg-utah.rspec	(revision 2275)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.35" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-eg-gpo.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-eg-gpo.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-eg-gpo.rspec	(revision 2275)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site confirmation" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gpo-exogeni">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+datapath+00:01:08:17:f4:b5:2a:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:bbn-hn.exogeni.gpolab.bbn.com+authority+am" dpid="00:01:08:17:f4:b5:2a:00">
+      </openflow:datapath>
+
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="gpo-exogeni" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-gpo.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-gpo.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-gpo.rspec	(revision 2275)
@@ -0,0 +1,47 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="New Site EG-CT-4" email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="habanero-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:24:a8:c4:b9:00"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port name="33" num="57"/>
+        <openflow:port name="47" num="71"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="poblano-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+			 component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+        <openflow:port num="7"/>   <!-- to NLR 3716 -->
+        <openflow:port num="15"/>  <!-- to BBN ExoGENI rack -->
+        <openflow:port num="16"/>  <!-- to BBN InstaGENI rack -->
+        <openflow:port num="20"/>  <!-- to habanero -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="habanero-1750" />
+      <openflow:use-group name="poblano-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-ig-clemson.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-clemson.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-clemson.rspec	(revision 2275)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="clemson-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.clemson.edu+datapath+06:d6:6c:3b:e5:68:a6:00" 
+                       component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.clemson.edu+authority+am"/>
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="clemson-instageni-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-ig-gatech.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-gatech.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-gatech.rspec	(revision 2275)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM:         URL: https://foam.instageni.rnoc.gatech.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gatech-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.rnoc.gatech.edu+datapath+06:d6:6c:3b:e5:66:6b:00" 
+      component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.rnoc.gatech.edu+authority+am" dpid="06:d6:6c:3b:e5:68:66:00" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="gatech-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/ProductionFOAM/openflow-ig-gpo.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-gpo.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-gpo.rspec	(revision 2275)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests ">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="bbn-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am"  />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="bbn-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/ProductionFOAM/openflow-ig-nw.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-nw.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-nw.rspec	(revision 2275)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests">
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="northwestern-instageni-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.northwestern.edu+datapath+06:d6:6c:3b:e5:68:00:00" 
+      component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.northwestern.edu+authority+am" 
+	dpid="06:d6:6c:3b:e5:68:00:00" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="northwestern-instageni-1750" />
+
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
+
Index: trunk/ProductionFOAM/openflow-ig-utah.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-utah.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-utah.rspec	(revision 2275)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utah-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:ig-utah+datapath+06:d6:00:24:a8:5d:0b:00" 
+		         component_manager_id="urn:publicid:IDN+openflow:foam:ig-utah+authority+am" />
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="utah-instageni-1750" />
+
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-ig-utahddc.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-ig-utahddc.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-ig-utahddc.rspec	(revision 2275)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="utahddc-instageni-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.utahddc.geniracks.net+datapath+06:d6:24:be:05:fe:43:00" 
+			component_manager_id="urn:publicid:IDN+openflow:foam:foam.utahddc.geniracks.net+authority+am" />
+
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="utahddc-instageni-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-internet2.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-internet2.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-internet2.rspec	(revision 2275)
@@ -0,0 +1,79 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+  <openflow:sliver description="FOAM Production Tests " email="lnevers@bbn.com">
+
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 NEWY 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:6f:e5" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 WASH 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:6e" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:81:42" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 HOUS 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:84:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" />  <!-- I2 LOSA 3716 -->
+    </openflow:group>
+
+   <openflow:group name="UEN-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:38">
+        <openflow:port name="12" num="12"/>  <!-- to UEN 1750 -->
+        <openflow:port name="15" num="15"/>  <!-- to I2 LOSA 3716 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="PRINCETON-1750">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:6f:e5" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:6f:e5">
+        <openflow:port name="15" num="15"/> <!-- WASH 1750-3716 -->
+        <openflow:port name="21" num="21"/> <!-- Princeton 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+ 
+    <openflow:group name="NYU-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:1d" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am">
+        <openflow:port name="4" num="4"/> <!-- NYU 1750 -->
+        <openflow:port name="15" num="15"/> <!-- NEWY 1750-3716 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="I2-ATLA-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:6e" 	
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" dpid="06:d6:00:12:e2:22:63:6e">
+        <openflow:port name="1" num="1"/> <!-- UKY 1750 -->
+        <openflow:port name="4" num="4"/> <!-- SoX 1750 -->
+        <openflow:port name="9" num="9"/>  <!-- ATLA 1750-3716 -->
+
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="i2-3716" />
+      <openflow:use-group name="UEN-1750" />
+      <openflow:use-group name="PRINCETON-1750" />
+      <openflow:use-group name="NYU-1750" />
+      <openflow:use-group name="I2-ATLA-1750-3716"/>
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/openflow-nlr.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-nlr.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-nlr.rspec	(revision 2275)
@@ -0,0 +1,66 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests " email="lnevers@bbn.com">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-chic-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:23:47:c8:bc:00" 
+       component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+        dpid="06:d6:00:23:47:c8:bc:00"> 
+        <openflow:port name="5" num="5"/> <!-- NLR CHIC 3716 Port --> 
+        <openflow:port name="9" num="9"/> <!-- GPO 1750 -->
+        <openflow:port name="25" num="49"/> <!-- Kettering 1750 -->
+        <openflow:port name="28" num="52"/> <!-- Northwestern 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+
+    <openflow:group name="nlr-atla-1750-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" 
+        component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am"
+        dpid="06:d6:00:24:a8:d2:b8:40">
+        <openflow:port name="5" num="5"/>   <!-- to VLAN 3716 -->
+        <openflow:port name="11" num="11"/> <!-- FIU 1752 -->
+        <openflow:port name="25" num="49"/>  <!-- to RENCI -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-3716">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:c8:bc:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am">  <!-- NLR CHIC 3716 -->
+        <openflow:port name="6" num="6"/>   <!-- to NLR CHIC 1750 -->
+        <openflow:port name="20" num="20"/> <!-- to Wisconsin -->
+        <openflow:port name="21" num="21"/> <!-- to Indiana -->
+        <!-- <openflow:port name="25" num="49"/> --> <!-- exclude BBN 3716 -->
+        <openflow:port name="27" num="51"/>
+      </openflow:datapath>
+
+
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:23:47:ca:bc:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SUNN 3716 -->
+
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:48:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR SEAT 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:24:a8:d2:b8:40" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR ATLA 3716 -->
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:84:00:26:f1:40:a8:00" component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" />  <!-- NLR DENV 3716 -->
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="nlr-chic-1750-3716" />
+      <openflow:use-group name="nlr-atla-1750-3716" />
+      <openflow:use-group name="nlr-3716" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: trunk/ProductionFOAM/openflow-sox.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-sox.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-sox.rspec	(revision 2275)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests ">
+
+   <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+   <openflow:group name="SoX-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.sox.net+datapath+00:01:34:40:b5:03:14:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.sox.net+authority+am">
+         <openflow:port num="17"/> <!-- to I2 -->
+         <openflow:port num="53"/> <!-- to Clemson -->
+         <openflow:port num="64"/> <!-- to GT -->
+      </openflow:datapath>
+    </openflow:group>
+    <openflow:match>
+      <openflow:use-group name="SoX-1750" />
+      <openflow:packet>
+        <openflow:dl_vlan value="1750"/>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+    </openflow:match>
+  </openflow:sliver>
+</rspec>
+
Index: trunk/ProductionFOAM/openflow-uen.rspec
===================================================================
--- trunk/ProductionFOAM/openflow-uen.rspec	(revision 2275)
+++ trunk/ProductionFOAM/openflow-uen.rspec	(revision 2275)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+  <openflow:sliver description="FOAM Production Tests ">
+
+    <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+        <openflow:port name="B22" num="46"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+
+</rspec>
Index: trunk/ProductionFOAM/raw-ig-utahddc.rspec
===================================================================
--- trunk/ProductionFOAM/raw-ig-utahddc.rspec	(revision 2275)
+++ trunk/ProductionFOAM/raw-ig-utahddc.rspec	(revision 2275)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1
+           http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utahddc-ig" exclusive="false">
+    <sliver_type name="raw-pc" />
+    <interface client_id="utahddc-ig:if0">
+      <ip address="10.42.11.73" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="utahddc-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
